"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const upload = require("./src/upload.js");
const index_esm = require("../../../@vxe-ui/core/es/index.esm.js");
const index = require("../dynamics/index.js");
const util = require("./src/util.js");
const VxeUpload = Object.assign({}, upload.default, {
  install(app) {
    app.component(upload.default.name, upload.default);
  }
});
index.dynamicApp.use(VxeUpload);
index_esm.VxeUI.component(upload.default);
index_esm.VxeUI.saveFile = util.saveLocalFile;
index_esm.VxeUI.readFile = util.readLocalFile;
const Upload = VxeUpload;
exports.Upload = Upload;
exports.VxeUpload = VxeUpload;
exports.default = VxeUpload;
